Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226005 - Merge Review: libFS
Summary: Merge Review: libFS
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:21 UTC by Nobody's working on this, feel free to take it
Modified: 2010-08-30 20:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-30 19:55:48 UTC
tomspur: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:21:31 UTC
Fedora Merge Review: libFS

http://cvs.fedora.redhat.com/viewcvs/devel/libFS/
Initial Owner: sandmann@redhat.com

Comment 1 Thomas Spura 2010-07-19 15:05:46 UTC
(CC'ing last modifiers)

Why do you use 'with_static' for deciding to build the static lib or not?

But even, when doing this, you need to package the static libs in a subpackage called 'static' and do NOT place them in the usual devel subpackage...

Either delete that completely or properly package it in a static subpackage...


Other issues:
- Please use INSTALL="install -p" when installing to preserve timestamps
- https://fedoraproject.org/wiki/Packaging/Guidelines#Parallel_make
- There is a new version 1.0.2 upstream.
- libFS-devel.x86_64: E: useless-provides libFS-devel
  libFS.src:23: W: unversioned-explicit-provides %{name}-devel

The rest looks good so far.

Comment 2 Adam Jackson 2010-08-30 19:55:48 UTC
fixed in libFS-1.0.2-1.fc15

Comment 3 Thomas Spura 2010-08-30 20:27:29 UTC
(In reply to comment #2)
> fixed in libFS-1.0.2-1.fc15

Thanks so far.
Last thing, that _could_ be done is:
- libFS.x86_64: E: zero-length /usr/share/doc/libFS-1.0.2/AUTHORS

- parallel make is still not implemented, but unfortunately, that's only SHOULD 
  in the guidelines...

________________________________________________________________________________


APPROVED


Note You need to log in before you can comment on or make changes to this bug.